# chartab.c File Reference

## Functions

MCharTable * | mchartable (MSymbol key, void *default_value)
| Create a new chartable.
int | mchartable_min_char (MCharTable *table)
| Return the minimum character whose value is set in a chartabe.
int | mchartable_max_char (MCharTable *table)
| Return the maximum character whose value is set in a chartabe.
void * | mchartable_lookup (MCharTable *table, int c)
| Return the assigned value of a character in a chartable.
int | mchartable_set (MCharTable *table, int c, void *val)
| Assign a value to a character in a chartable.
int | mchartable_set_range (MCharTable *table, int from, int to, void *val)
| Assign a value to the characters in the specified range.
void | mchartable_range (MCharTable *table, int *from, int *to)
| Search for characters that have non-default value.
int | mchartable_map (MCharTable *table, void *ignore, void(*func)(int, int, void *, void *), void *func_arg)
| Call a function for characters in a chartable.
MCharTable * | mdebug_dump_chartab (MCharTable *table, int indent)
| Dump a chartable.

## Variables

MSymbol | Mchar_table
| Symbol whose name is "char-table".

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines